Page MenuHomePhabricator

Problems with links when Flow VE editor switches back and forth between VE and wikitext mode
Closed, ResolvedPublic

Description

In a reply, type:

  • fasd <insert link> type bogus as link address, <insert the red link> keep typing
  • Switch to wikicode
  • Switch back to VE
  • Switch to wikicode
  • textarea contains: fasdf [[/w/index.php?title=Sfd_fasdfas&action=edit&redlink=1|sadf]] sd fdsafadsfsd

superm401: "It's probably because of our redlink "fixer"... (Which normally works well, but we only recently re-enabled VE, so it's probably a bad interaction)."


Another variation (but probably same cause):

Entered (among other things) [[Adrines]] in wikitext, got <a href="/wiki/Adrines" title="Adrines" rel="mw:WikiLink" data-parsoid='{"stx":"simple","a":{"href":"./Adrines"},"sa":{"href":"Adrines"},"dsr":[52,63,2,2]}'>Adrines</a>. You can see that the href has been normalized (I think by WikiLinkFixer), and when Parsoid comes up it's already confused (it thinks the page name is /wiki/Adrines).

Then when switching again it's [[/wiki/Adrines|Adrines]]. Note this is not a red link, but it doesn't really matter (hence why we renamed it to WikiLinkFixer).

Event Timeline

TheDJ created this task.Mar 24 2015, 10:07 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a project: StructuredDiscussions.
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 10:07 PM
DannyH triaged this task as High priority.Mar 26 2015, 5:50 PM
DannyH added a subscriber: DannyH.
Mattflaschen-WMF renamed this task from Flow VE editor fails on multiple back and forths between VE and wikitext mode to Problems with links when Flow VE editor switches back and forth between VE and wikitext mode.Apr 1 2015, 12:55 AM
Mattflaschen-WMF set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 12:55 AM

Change 201158 had a related patch set uploaded (by Matthias Mullie):
Remove ContentFixers from Parsoid API

https://gerrit.wikimedia.org/r/201158

ContentFixers are indeed the culprit here. They don't apply to VE & I've submitted a patch to remove them from our API.

Change 201158 merged by jenkins-bot:
Remove ContentFixers from Parsoid API

https://gerrit.wikimedia.org/r/201158

Catrope closed this task as Resolved.Jun 23 2015, 7:13 PM
Catrope claimed this task.
Catrope removed Catrope as the assignee of this task.